# Class: Attribute

## Attribute()

Attribute is an abstract concept which has two real uses - label (key - value pair) and relation (representing named relationship between source and target note)

## Constructor

#### new Attribute()

Source:
  - entities/attribute.js, line 7

### Members

#### attributeId :string

##### Type:

- string

Source:
  - entities/attribute.js, line 16

#### isInheritable :boolean

##### Type:

- boolean

Source:
  - entities/attribute.js, line 28

#### name :string

##### Type:

- string

Source:
  - entities/attribute.js, line 22

#### noteId :string

##### Type:

- string

Source:
  - entities/attribute.js, line 18

#### position :int

##### Type:

- int

Source:
  - entities/attribute.js, line 26

#### type :string

##### Type:

- string

Source:
  - entities/attribute.js, line 20

#### value :string

##### Type:

- string

Source:
  - entities/attribute.js, line 24

### Methods

#### getNote() → {NoteShort}

Source:
  - entities/attribute.js, line 32

##### Returns:

Type
  NoteShort